=== ngs-sdk/language/python/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: std

TOP ?= $(abspath ../..)
include $(TOP)/Makefile.config

INT_LIBS = \
	ngs-bind-python

EXT_LIBS = \

TARGETS =       \
	$(INT_LIBS) \
	$(EXT_LIBS)

all std: $(TARGETS)

clean:
	rm -rf $(ILIBDIR)/$(LPFX)ngs-bind-python* $(OBJDIR)

.PHONY: default all std $(TARGETS)

#-------------------------------------------------------------------------------
# ngs-bind-python
#
ngs-bind-python: $(ILIBDIR) $(OBJDIR) $(ILIBDIR)/$(LPFX)ngs-bind-python.$(LIBX)

BIND_SRC =                  \
	AlignmentItf            \
	AlignmentIteratorItf    \
	ErrorMsg                \
	FragmentItf             \
	FragmentIteratorItf     \
	PackageItf				\
	PileupEventItf          \
	PileupEventIteratorItf  \
	PileupItf               \
	PileupIteratorItf       \
	ReadCollectionItf       \
	ReadGroupItf            \
	ReadGroupIteratorItf    \
	ReadItf                 \
	ReadIteratorItf         \
	ReferenceItf            \
	ReferenceIteratorItf    \
	ReferenceSequenceItf	\
	StatisticsItf           \
	Refcount                \
	StringItf


BIND_OBJ = \
	$(addprefix $(OBJDIR)/,$(addsuffix .$(LOBX),$(addprefix py_,$(BIND_SRC))))

$(ILIBDIR)/$(LPFX)ngs-bind-python.$(LIBX): $(BIND_OBJ)
	$(AR) $@ $^
