=== debian/changelog ===
ngs-sdk (1.2.3-2) unstable; urgency=medium

  * debian/rules: create dynamic library in expected directory
    Closes: #813557
  * Turn architecture checking for non-Intel architectures from error into
    warning that does not cause a failure
    Closes: #813559

 -- Andreas Tille <tille@debian.org>  Sat, 06 Feb 2016 10:35:42 +0100

ngs-sdk (1.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #809375)

 -- Olivier Sallou <osallou@debian.org>  Mon, 01 Feb 2016 22:26:21 +0100
