=== debian/watch ===
version=3

https://github.com/ncbi/ngs/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
