=== debian/changelog ===
ngs-sdk (1.2.5-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 18 Aug 2016 10:51:22 +0200

ngs-sdk (1.2.4-2) unstable; urgency=medium

  * Add a maven2 pom file for libjava-ngs

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 06 Jul 2016 21:57:29 +0200

ngs-sdk (1.2.4-1) unstable; urgency=medium

  * New upstream version
  * Add missing header files to devel package

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jun 2016 12:54:51 +0200

ngs-sdk (1.2.3-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Really get the build working even if build results are moved to the
    wrong dir by the build system
  * cme fix dpkg-control
  * DEP5

  [ Steffen Moeller ]
  * Depend on default-jdk, not openjdk-8-java, introduce flags to javac
    to avoid Java8 bytecode, eliminating a lintian warning.
  * Bumped policy to 3.9.7, no changes required.

 -- Andreas Tille <tille@debian.org>  Sun, 10 Apr 2016 08:21:45 +0200
