=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,17 @@
 OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 CPU := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
 BUILDTYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-SODIR := $(DEBPKGNAME)/$(BUILDTYPE)/$(DEBPKGNAME)/$(OS)/gcc/$(CPU)
+# since build-results are not ending up in the proper dir its saver to use "*" instead of "$(CPU)"
+SODIR := $(DEBPKGNAME)/$(BUILDTYPE)/$(DEBPKGNAME)/$(OS)/gcc/*
 
 build2vers := $(shell pyversions -sv)
 build3vers := $(shell py3versions -sv)
 
 %:
-	dh $@ --with python2,python3,javahelper
+	dh $@ --with python2,python3,javahelper,jh_maven_repo_helper
 
 override_dh_auto_clean:
-	if [ -e ngs-sdk/Makefile.config.$(OS).$(CPU)] ; then \
+	if [ -e ngs-sdk/Makefile.config.$(OS).$(CPU) ] ; then \
 	#    dh_auto_clean --sourcedirectory=$(DEBPKGNAME) ; \
 	dh_auto_clean ; \
 	fi
@@ -32,16 +33,17 @@
 
 override_dh_auto_configure:
 	# # that's no standard configure script lacking support of default options \
-	./configure --build=$(BUILDTYPE) --prefix=/usr ;
+	./configure --build=$(BUILDTYPE) --prefix=/usr -- --source=1.7
 
 override_dh_auto_build:
 	#dh_auto_build --sourcedirectory=$(DEBPKGNAME)
+	echo "DEBPKGNAME: $DEBPKGNAME"
 	dh_auto_build --sourcedirectory=$(DEBPKGNAME)
 	# Remove ngs-bam generation, expects ngs-sdk and cannot find a way
 	# to specify it
 	#cd ngs-bam && LD_LIBRARY_PATH=../$(SODIR)/rel/lib ./configure --build=$(BUILDTYPE) --prefix=/usr --with-ngs-sdk-prefix=../ngs-sdk
 	#dh_auto_build --sourcedirectory=ngs-bam
-	dh_auto_build --sourcedirectory=ngs-java
+	dh_auto_build --sourcedirectory=ngs-java -- JAVAC="javac -source 1.7 -target 1.7"
 	markdown_py -f README.html README.md
 
 override_dh_auto_test:
@@ -59,6 +61,7 @@
 		    --exclude-la \
 		    --movedev "$(SODIR)/rel/lib/*.a*" usr/lib/$(BUILDTYPE) \
 		    --movedev "$(SODIR)/rel/ilib/*.a" usr/lib/$(BUILDTYPE) \
+		    --movedev ngs-sdk/ngs usr/include \
 		    $(SODIR)/rel/lib/libngs-sdk.so
 
 override_dh_install:
@@ -76,3 +79,15 @@
 	done
 	find debian -name "*.pyc" -delete
 	find debian -type d -name __pycache__ | xargs rm -rf
+
+# require network, not automatically run
+# use it when the pom file must be re-downloaded from maven repo
+BASE_URL:=https://repo.maven.apache.org/maven2/gov/nih/nlm/ncbi/ngs-java
+WGET=wget --no-clobber
+get-poms:
+	$(RM) debian/ngs-java.pom debian/ngs-java.pom.asc
+	# extract upstream version
+	VERSION=$$(dpkg-parsechangelog -S Version | sed -e 's/\([+]dfsg\.\?[0-9]*\)\?-[^-]\+$$//') ; \
+	$(WGET) -O debian/ngs-java.pom $(BASE_URL)/$$VERSION/ngs-java-$$VERSION.pom && \
+	$(WGET) -O debian/ngs-java.pom.asc $(BASE_URL)/$$VERSION/ngs-java-$$VERSION.pom.asc
+	gpg --trust-model=always --status-fd 1 --no-default-keyring --keyring debian/sra-tools.gpg --verify debian/ngs-java.pom.asc
